Bug 23065 - 'New subscription' button in serials sometimes uses a blank form and sometimes defaults to current serial
Summary: 'New subscription' button in serials sometimes uses a blank form and sometime...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-06 12:07 UTC by Nick Clemens
Modified: 2019-07-03 17:53 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.02


Attachments
Bug 23065: Rename "New subscription" button when default to current serial (2.95 KB, patch)
2019-06-08 18:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23065: Rename "New subscription" button when default to current serial (3.00 KB, patch)
2019-06-10 19:57 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 23065: Rename "New subscription" button when default to current serial (3.06 KB, patch)
2019-06-13 11:13 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-06-06 12:07:09 UTC
I don't know if this is expected behvaiour, but it feels like a bug - at the very least the label of the button should change? Or I would think 2 buttons 'New Subscription' and 'New subscription for this serial'
To recreate:
1 - Go to Serials module in Koha
2 - Click 'New subscription'
3 - You get a blank form
4 - Fill it out, save it
5 - You are viewing the subscription you created
6 - Click 'New subscription'
7 - You get a form populated with the biblio of the last subscription you created
Comment 1 Jonathan Druart 2019-06-08 18:32:18 UTC
Created attachment 90439 [details] [review]
Bug 23065: Rename "New subscription" button when default to current serial

To make it explicite that the "New subscription" button will create a
subscription based on the current serial it is now labeled "New
subscription for this serial"

Test plan:
1 - Go to Serials module in Koha
2 - Click 'New subscription'
3 - You get a blank form
4 - Fill it out, save it
5 - You are viewing the subscription you created
=> The button is now labeled "New subscription for this serial"
Comment 2 Michal Denar 2019-06-10 19:57:11 UTC
Created attachment 90465 [details] [review]
Bug 23065: Rename "New subscription" button when default to current serial

To make it explicite that the "New subscription" button will create a
subscription based on the current serial it is now labeled "New
subscription for this serial"

Test plan:
1 - Go to Serials module in Koha
2 - Click 'New subscription'
3 - You get a blank form
4 - Fill it out, save it
5 - You are viewing the subscription you created
=> The button is now labeled "New subscription for this serial"

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 3 Nick Clemens 2019-06-13 11:13:32 UTC
Created attachment 90575 [details] [review]
Bug 23065: Rename "New subscription" button when default to current serial

To make it explicite that the "New subscription" button will create a
subscription based on the current serial it is now labeled "New
subscription for this serial"

Test plan:
1 - Go to Serials module in Koha
2 - Click 'New subscription'
3 - You get a blank form
4 - Fill it out, save it
5 - You are viewing the subscription you created
=> The button is now labeled "New subscription for this serial"

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Martin Renvoize 2019-06-13 11:51:46 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-07-02 09:03:20 UTC
Pushed to 19.05.x for 19.05.02
Comment 6 Lucas Gass 2019-07-03 17:53:29 UTC
backported to 18.11.x for 18.11.08